import { jsx } from "react/jsx-runtime";
import { PlayPause as PlayPause$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const PlayPause = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "PlayPause", ...props, children: /* @__PURE__ */ jsx(PlayPause$1, { weight: variant }) });
  }
);
PlayPause.displayName = "PlayPause";
Object.assign(PlayPause, { isGdsIcon: true });
export {
  PlayPause
};
